<!DOCTYPE html>
<html lang="en">
  <head>
    <meta name="generator" content="GitLab Pages">
    <title>TP4 Veille Techno</title>
    <link rel="stylesheet" href="style.css">
    <script src="https://cdn.tailwindcss.com"></script>
  </head>

  <body class="bg-gradient-to-br from-gray-900 to-gray-600 bg-gradient-to-r">

    <header class="p-20 text-white flex justify-between items-baseline">
      <h1 class="text-5xl font-bold">TP4 Veille Techno</h1>
      <div>
        <a class="cool-link" href="index.html">
          Accueil
        </a>
        <a class="cool-link" href="materiel.html">Matériel</a>
        <a class="cool-link" href="experimentation.html">Expérimentations</a>
        <a class="cool-link" href="montage.html">Montage</a>
        <a class="cool-link" href="logiciel.html">Logiciel</a>
      </div>
    </header>

    <main class="px-20 flex flex-col justify-center items-center">
      <h2 class="text-center text-3xl font-bold text-white">
        Logiciel
      </h2>

      <section id="analyse" class="bg-slate-200 w-3/4 rounded-xl p-10 my-20 text-justify">
        <h4 class="text-center text-lg font-bold text-gray-900">
          Présentation du Stack Techno
        </h4>
        <br>
        <p>
          Le choix technologique pour ce projet est défini comme suit : nous avons décidé d'utiliser le logiciel .Net (C#) pour la transmission des données du capteur vers une base de données PostgreSQL. En parallèle, nous avons opté pour le développement d'un site web dédié à la visualisation des données stockées dans cette base. Ce site sera élaboré en utilisant les langages HTML, CSS et JavaScript. Pour faciliter le processus de développement, nous avons choisi d'adopter le framework Svelte en combinaison avec la bibliothèque de style Svelte-Kit.
        </p>
        <br>
        <h4 class="text-center text-lg font-bold text-gray-900">
          Justification du Stack Techno
        </h4>
        <br>
        <p>
          Le choix des technologies pour ce projet a été minutieusement étudié en prenant en considération divers facteurs clés visant à assurer une implémentation efficace et robuste. L'adoption du logiciel .Net (C#) s'est imposée en raison de sa réputation éprouvée en termes de fiabilité et de performances, garantissant ainsi une transmission fluide des données du capteur vers la base de données.
        </p>
        <br>
        <p>
          Le choix de PostgreSQL comme système de gestion de base de données repose sur sa réputation bien établie en termes d'efficacité, de stabilité et de support avancé des fonctionnalités relationnelles. Ces qualités en font un choix judicieux pour le stockage des données critiques du projet, assurant ainsi une gestion fiable et robuste de l'ensemble des informations nécessaires.
        </p>
        <br>
        <p>
          Quant au choix d'un site web pour la visualisation des données, l'association d'HTML, CSS et JavaScript offre une flexibilité essentielle pour créer une interface utilisateur moderne et réactive. L'adoption du framework Svelte et de la bibliothèque de style Svelte-Kit s'explique par leur approche novatrice en matière de développement front-end, permettant une création rapide et efficace de l'interface utilisateur tout en optimisant les performances.
        </p>
        <br>
        <p>
          Dans son ensemble, cette combinaison de technologies a été méticuleusement choisie dans le but d'assurer une intégration harmonieuse, des performances optimales, et une évolutivité future du projet.
        </p>
        <br>
        <h4 class="text-center text-lg font-bold text-gray-900">Plus d'info</h4>
        <br>
        <p> Le code d'arduino, le logiciel et l'app web du projet se trouve dans ce repos : <a class="text-gray-900 font-bold" href="https://gitlab.com/Caelestis94/logiciel-data-projet-cardiometer">https://gitlab.com/Caelestis94/logiciel-data-projet-cardiometer</a></p>
      </section>

    </main>

    <footer class="mx-20 p-10 text-white font-bold border-t-2 flex justify-between">
      <div class="w-1/2">
        Réalisé par Frédéric Rousseau, Nathan Ouellet, Nicolas Bazin, Thomas Bolduc et Xavier Gosselin
      </div>
      <div>
        Dans le cadre de Techniques de l’informatique - Cégep Garneau
      </div> 
    </footer>

  </body>
</html>
